#include "CIconFactory.h"
#include "icones.h"
// ----------------------------------------------------

std::vector<CIcon *> CIconFactory::m_Icons;
char * CIconFactory::m_dataDir;
void CIconFactory::createIcons()
      {
      // call only once
      static bool init=false;
      if (init)
	return;
      init=true;
      // load icons
      glEnable(GL_LIGHTING);
      glEnable(GL_NORMALIZE);

      // ATTENTION: toujours ajouter en FIN DE LISTE !
      m_Icons.push_back(new digit0(m_dataDir));
      m_Icons.push_back(new digit1(m_dataDir));
      m_Icons.push_back(new digit2(m_dataDir));
      m_Icons.push_back(new digit3(m_dataDir));
      m_Icons.push_back(new digit4(m_dataDir));
      m_Icons.push_back(new digit5(m_dataDir));
      m_Icons.push_back(new digit6(m_dataDir));
      m_Icons.push_back(new digit7(m_dataDir));
      m_Icons.push_back(new digit8(m_dataDir));
      m_Icons.push_back(new digit9(m_dataDir));
      m_Icons.push_back(new fleche(m_dataDir));
      m_Icons.push_back(new main(m_dataDir));
      m_Icons.push_back(new cible(m_dataDir));
      m_Icons.push_back(new paroie());
      m_Icons.push_back(new paroie2());
      m_Icons.push_back(new sphere());
      m_Icons.push_back(new balle());
      m_Icons.push_back(new rond());
      m_Icons.push_back(new triangle());
      m_Icons.push_back(new cube());
      m_Icons.push_back(new brique());
      m_Icons.push_back(new but(3,3,1.5,m_dataDir));
      m_Icons.push_back(new raquette(m_dataDir));
      m_Icons.push_back(new teapot());
      m_Icons.push_back(new soucoupe());
      m_Icons.push_back(new fusee());
      m_Icons.push_back(new laser());
      m_Icons.push_back(new trait());
      m_Icons.push_back(new aiguille());
      m_Icons.push_back(new soleil(m_dataDir));
      m_Icons.push_back(new mercure(m_dataDir));
      m_Icons.push_back(new venus(m_dataDir));
      m_Icons.push_back(new terre(m_dataDir));
      m_Icons.push_back(new lune(m_dataDir));
      m_Icons.push_back(new mars(m_dataDir));
      m_Icons.push_back(new jupiter(m_dataDir));
      m_Icons.push_back(new saturne(m_dataDir));
      m_Icons.push_back(new uranus(m_dataDir));
      m_Icons.push_back(new neptune(m_dataDir));
      m_Icons.push_back(new pluton(m_dataDir));
      m_Icons.push_back(new asteroide(m_dataDir));
      m_Icons.push_back(new etoile(m_dataDir));
      m_Icons.push_back(new avion());
      m_Icons.push_back(new gagne(m_dataDir));
      m_Icons.push_back(new perdu(m_dataDir));
      m_Icons.push_back(new cercle());
      m_Icons.push_back(new volant());
      m_Icons.push_back(new ressort());
      m_Icons.push_back(new spot());
    }
