#ifndef MAIN_INTERFACE_H
#define MAIN_INTERFACE_H

#include <qvariant.h>


#include <Qt3Support/Q3Frame>
#include <Qt3Support/Q3MainWindow>
#include <Qt3Support/Q3TextEdit>
#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QCheckBox>
#include <QtGui/QComboBox>
#include <QtGui/QFrame>
#include <QtGui/QGridLayout>
#include <QtGui/QHBoxLayout>
#include <QtGui/QLabel>
#include <QtGui/QLineEdit>
#include <QtGui/QPushButton>
#include <QtGui/QVBoxLayout>
#include <QtGui/QWidget>
#include "CViewer.h"

QT_BEGIN_NAMESPACE

class Ui_main_interface
{
public:
    QWidget *widget;
    QHBoxLayout *hboxLayout;
    Q3Frame *m_MainFrame;
    QVBoxLayout *vboxLayout;
    Q3Frame *Frame9_2;
    QLabel *TextLabel1_4;
    QLabel *m_LblClientNumber;
    QLabel *TextLabel1;
    QFrame *Line4;
    QPushButton *PushButton25_2_2;
    QPushButton *PushButton16;
    QCheckBox *m_cbNames;
    QPushButton *m_btnSaveSession;
    Q3Frame *m_FrameVisu;
    QPushButton *PushButton12;
    QPushButton *PushButton12_2;
    QLabel *TextLabel1_3_2;
    Q3Frame *Frame7;
    QPushButton *PushButton13;
    QPushButton *PushButton13_2;
    QLabel *TextLabel1_3;
    QLabel *m_lblExport;
    Q3Frame *Frame6;
    QFrame *Line2;
    QLabel *TextLabel1_5;
    QPushButton *PushButton24;
    QPushButton *PushButton3_2;
    QPushButton *m_btnSaveMobile;
    QPushButton *PushButton25_2;
    QPushButton *PushButton3;
    Q3Frame *Frame10;
    QPushButton *PushButton17;
    QPushButton *PushButton25_4;
    QComboBox *m_cbMobiles;
    QPushButton *PushButton17_2;
    Q3Frame *Frame11;
    QLabel *TextLabel2_2;
    QFrame *Line3;
    QLabel *TextLabel2_2_2;
    QFrame *Line3_2;
    QPushButton *m_btnStop;
    QLabel *TextLabel4_3;
    QLineEdit *m_leWidth;
    QLineEdit *m_leDy;
    QComboBox *m_cbIcons;
    QLabel *TextLabel4;
    QLabel *TextLabel6_2_2;
    QLineEdit *m_leDx;
    QLabel *m_lblStopped;
    Q3Frame *m_fColor;
    QLineEdit *m_leX;
    QLabel *TextLabel3_2;
    QLineEdit *m_leHeight;
    QLineEdit *m_leY;
    QCheckBox *m_cbVisible;
    QLabel *TextLabel6;
    QComboBox *m_cbColors;
    QCheckBox *m_cbExport;
    QLineEdit *m_leAgl;
    QLabel *TextLabel4_2_2;
    QLabel *TextLabel6_2;
    QLabel *TextLabel1_2;
    QLabel *TextLabel4_2;
    QLabel *m_lblRunning;
    Q3Frame *Frame14;
    QPushButton *m_btnApply;
    QPushButton *m_btnCancel;
    QLabel *m_lblError;
    Q3Frame *Frame13;
    QGridLayout *gridLayout;
    QLabel *TextLabel2;
    QComboBox *m_cbMvtPresets;
    Q3TextEdit *m_teExprs;
    Q3Frame *Frame19;
    QVBoxLayout *vboxLayout1;
    CViewer *m_ViewPort;
    Q3Frame *Frame9;
    QHBoxLayout *hboxLayout1;
    Q3Frame *Frame18;
    QGridLayout *gridLayout1;
    QComboBox *m_cbBordLPresets;
    QLabel *TextLabel5;
    QComboBox *m_cbBordRPresets;
    QLabel *TextLabel5_2;
    Q3TextEdit *m_teExprsBR;
    Q3TextEdit *m_teExprsBL;
    Q3Frame *Frame17;
    QGridLayout *gridLayout2;
    QComboBox *m_cbBordTPresets;
    Q3TextEdit *m_teExprsBT;
    QComboBox *m_cbBordBPresets;
    Q3TextEdit *m_teExprsBB;
    QLabel *TextLabel5_4;
    QLabel *TextLabel5_3;
    Q3Frame *Frame15;
    QGridLayout *gridLayout3;
    QComboBox *m_cbCollidePresets;
    Q3TextEdit *m_teExprsCollide;
    QLabel *TextLabel3;
    Q3Frame *Frame16;
    QGridLayout *gridLayout4;
    QLabel *TextLabel5_4_2;
    QComboBox *m_cbStartPresets;
    Q3TextEdit *m_teExprsStart;

    void setupUi(Q3MainWindow *main_interface)
    {
    if (main_interface->objectName().isEmpty())
        main_interface->setObjectName(QString::fromUtf8("main_interface"));
    main_interface->resize(1094, 750);
    QSizePolicy sizePolicy(static_cast<QSizePolicy::Policy>(5), static_cast<QSizePolicy::Policy>(5));
    sizePolicy.setHorizontalStretch(0);
    sizePolicy.setVerticalStretch(0);
    sizePolicy.setHeightForWidth(main_interface->sizePolicy().hasHeightForWidth());
    main_interface->setSizePolicy(sizePolicy);
    main_interface->setMaximumSize(QSize(32767, 32767));
    main_interface->setBaseSize(QSize(1024, 780));
    widget = new QWidget(main_interface);
    widget->setObjectName(QString::fromUtf8("widget"));
    hboxLayout = new QHBoxLayout(widget);
    hboxLayout->setSpacing(2);
    hboxLayout->setMargin(2);
    hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
    hboxLayout->setContentsMargins(0, 0, 0, 0);
    m_MainFrame = new Q3Frame(widget);
    m_MainFrame->setObjectName(QString::fromUtf8("m_MainFrame"));
    QSizePolicy sizePolicy1(static_cast<QSizePolicy::Policy>(0), static_cast<QSizePolicy::Policy>(5));
    sizePolicy1.setHorizontalStretch(0);
    sizePolicy1.setVerticalStretch(0);
    sizePolicy1.setHeightForWidth(m_MainFrame->sizePolicy().hasHeightForWidth());
    m_MainFrame->setSizePolicy(sizePolicy1);
    m_MainFrame->setMinimumSize(QSize(330, 0));
    m_MainFrame->setMaximumSize(QSize(330, 32767));
    m_MainFrame->setFrameShape(Q3Frame::StyledPanel);
    m_MainFrame->setFrameShadow(Q3Frame::Raised);
    vboxLayout = new QVBoxLayout(m_MainFrame);
    vboxLayout->setSpacing(0);
    vboxLayout->setMargin(2);
    vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
    Frame9_2 = new Q3Frame(m_MainFrame);
    Frame9_2->setObjectName(QString::fromUtf8("Frame9_2"));
    QSizePolicy sizePolicy2(static_cast<QSizePolicy::Policy>(1), static_cast<QSizePolicy::Policy>(1));
    sizePolicy2.setHorizontalStretch(0);
    sizePolicy2.setVerticalStretch(0);
    sizePolicy2.setHeightForWidth(Frame9_2->sizePolicy().hasHeightForWidth());
    Frame9_2->setSizePolicy(sizePolicy2);
    Frame9_2->setMinimumSize(QSize(0, 60));
    Frame9_2->setMaximumSize(QSize(32767, 60));
    Frame9_2->setFrameShape(Q3Frame::StyledPanel);
    Frame9_2->setFrameShadow(Q3Frame::Raised);
    Frame9_2->setLineWidth(0);
    TextLabel1_4 = new QLabel(Frame9_2);
    TextLabel1_4->setObjectName(QString::fromUtf8("TextLabel1_4"));
    TextLabel1_4->setGeometry(QRect(10, 35, 75, 22));
    TextLabel1_4->setWordWrap(false);
    m_LblClientNumber = new QLabel(Frame9_2);
    m_LblClientNumber->setObjectName(QString::fromUtf8("m_LblClientNumber"));
    m_LblClientNumber->setGeometry(QRect(50, 5, 80, 23));
    QFont font;
    font.setBold(true);
    m_LblClientNumber->setFont(font);
    m_LblClientNumber->setWordWrap(false);
    TextLabel1 = new QLabel(Frame9_2);
    TextLabel1->setObjectName(QString::fromUtf8("TextLabel1"));
    TextLabel1->setGeometry(QRect(0, 5, 50, 22));
    TextLabel1->setWordWrap(false);
    Line4 = new QFrame(Frame9_2);
    Line4->setObjectName(QString::fromUtf8("Line4"));
    Line4->setGeometry(QRect(2, 21, 325, 10));
    Line4->setFrameShape(QFrame::HLine);
    Line4->setFrameShadow(QFrame::Sunken);
    PushButton25_2_2 = new QPushButton(Frame9_2);
    PushButton25_2_2->setObjectName(QString::fromUtf8("PushButton25_2_2"));
    PushButton25_2_2->setGeometry(QRect(125, 35, 35, 20));
    PushButton16 = new QPushButton(Frame9_2);
    PushButton16->setObjectName(QString::fromUtf8("PushButton16"));
    PushButton16->setGeometry(QRect(160, 35, 35, 20));
    m_cbNames = new QCheckBox(Frame9_2);
    m_cbNames->setObjectName(QString::fromUtf8("m_cbNames"));
    m_cbNames->setGeometry(QRect(200, 5, 119, 19));
    m_btnSaveSession = new QPushButton(Frame9_2);
    m_btnSaveSession->setObjectName(QString::fromUtf8("m_btnSaveSession"));
    m_btnSaveSession->setGeometry(QRect(90, 35, 35, 20));

    vboxLayout->addWidget(Frame9_2);

    m_FrameVisu = new Q3Frame(m_MainFrame);
    m_FrameVisu->setObjectName(QString::fromUtf8("m_FrameVisu"));
    m_FrameVisu->setMinimumSize(QSize(0, 70));
    m_FrameVisu->setMaximumSize(QSize(32767, 70));
    m_FrameVisu->setFrameShape(Q3Frame::StyledPanel);
    m_FrameVisu->setFrameShadow(Q3Frame::Raised);
    m_FrameVisu->setLineWidth(0);
    PushButton12 = new QPushButton(m_FrameVisu);
    PushButton12->setObjectName(QString::fromUtf8("PushButton12"));
    PushButton12->setGeometry(QRect(125, 6, 35, 20));
    PushButton12_2 = new QPushButton(m_FrameVisu);
    PushButton12_2->setObjectName(QString::fromUtf8("PushButton12_2"));
    PushButton12_2->setGeometry(QRect(160, 6, 35, 20));
    TextLabel1_3_2 = new QLabel(m_FrameVisu);
    TextLabel1_3_2->setObjectName(QString::fromUtf8("TextLabel1_3_2"));
    TextLabel1_3_2->setGeometry(QRect(10, 4, 75, 22));
    TextLabel1_3_2->setWordWrap(false);

    vboxLayout->addWidget(m_FrameVisu);

    Frame7 = new Q3Frame(m_MainFrame);
    Frame7->setObjectName(QString::fromUtf8("Frame7"));
    Frame7->setMinimumSize(QSize(0, 40));
    Frame7->setMaximumSize(QSize(32767, 40));
    Frame7->setFrameShape(Q3Frame::StyledPanel);
    Frame7->setFrameShadow(Q3Frame::Raised);
    Frame7->setLineWidth(0);
    PushButton13 = new QPushButton(Frame7);
    PushButton13->setObjectName(QString::fromUtf8("PushButton13"));
    PushButton13->setGeometry(QRect(125, 5, 35, 20));
    PushButton13_2 = new QPushButton(Frame7);
    PushButton13_2->setObjectName(QString::fromUtf8("PushButton13_2"));
    PushButton13_2->setGeometry(QRect(160, 5, 35, 20));
    TextLabel1_3 = new QLabel(Frame7);
    TextLabel1_3->setObjectName(QString::fromUtf8("TextLabel1_3"));
    TextLabel1_3->setGeometry(QRect(10, 5, 58, 22));
    TextLabel1_3->setWordWrap(false);
    m_lblExport = new QLabel(Frame7);
    m_lblExport->setObjectName(QString::fromUtf8("m_lblExport"));
    m_lblExport->setGeometry(QRect(15, 25, 305, 20));
    QFont font1;
    font1.setPointSize(10);
    font1.setBold(true);
    m_lblExport->setFont(font1);
    m_lblExport->setWordWrap(false);

    vboxLayout->addWidget(Frame7);

    Frame6 = new Q3Frame(m_MainFrame);
    Frame6->setObjectName(QString::fromUtf8("Frame6"));
    sizePolicy2.setHeightForWidth(Frame6->sizePolicy().hasHeightForWidth());
    Frame6->setSizePolicy(sizePolicy2);
    Frame6->setMinimumSize(QSize(0, 65));
    Frame6->setMaximumSize(QSize(32767, 65));
    Frame6->setFrameShape(Q3Frame::StyledPanel);
    Frame6->setFrameShadow(Q3Frame::Raised);
    Frame6->setLineWidth(0);
    Line2 = new QFrame(Frame6);
    Line2->setObjectName(QString::fromUtf8("Line2"));
    Line2->setGeometry(QRect(91, 11, 235, 16));
    Line2->setFrameShape(QFrame::HLine);
    Line2->setFrameShadow(QFrame::Sunken);
    TextLabel1_5 = new QLabel(Frame6);
    TextLabel1_5->setObjectName(QString::fromUtf8("TextLabel1_5"));
    TextLabel1_5->setGeometry(QRect(1, 11, 88, 14));
    QFont font2;
    font2.setItalic(true);
    TextLabel1_5->setFont(font2);
    TextLabel1_5->setWordWrap(false);
    PushButton24 = new QPushButton(Frame6);
    PushButton24->setObjectName(QString::fromUtf8("PushButton24"));
    PushButton24->setGeometry(QRect(75, 35, 70, 25));
    PushButton3_2 = new QPushButton(Frame6);
    PushButton3_2->setObjectName(QString::fromUtf8("PushButton3_2"));
    PushButton3_2->setGeometry(QRect(145, 35, 70, 25));
    m_btnSaveMobile = new QPushButton(Frame6);
    m_btnSaveMobile->setObjectName(QString::fromUtf8("m_btnSaveMobile"));
    m_btnSaveMobile->setGeometry(QRect(230, 35, 45, 25));
    PushButton25_2 = new QPushButton(Frame6);
    PushButton25_2->setObjectName(QString::fromUtf8("PushButton25_2"));
    PushButton25_2->setGeometry(QRect(275, 35, 45, 25));
    PushButton3 = new QPushButton(Frame6);
    PushButton3->setObjectName(QString::fromUtf8("PushButton3"));
    PushButton3->setGeometry(QRect(5, 35, 70, 25));

    vboxLayout->addWidget(Frame6);

    Frame10 = new Q3Frame(m_MainFrame);
    Frame10->setObjectName(QString::fromUtf8("Frame10"));
    sizePolicy2.setHeightForWidth(Frame10->sizePolicy().hasHeightForWidth());
    Frame10->setSizePolicy(sizePolicy2);
    Frame10->setMinimumSize(QSize(0, 40));
    Frame10->setMaximumSize(QSize(32767, 40));
    Frame10->setFrameShape(Q3Frame::StyledPanel);
    Frame10->setFrameShadow(Q3Frame::Raised);
    Frame10->setLineWidth(0);
    PushButton17 = new QPushButton(Frame10);
    PushButton17->setObjectName(QString::fromUtf8("PushButton17"));
    PushButton17->setGeometry(QRect(35, 0, 30, 30));
    PushButton25_4 = new QPushButton(Frame10);
    PushButton25_4->setObjectName(QString::fromUtf8("PushButton25_4"));
    PushButton25_4->setGeometry(QRect(260, 0, 60, 30));
    m_cbMobiles = new QComboBox(Frame10);
    m_cbMobiles->setObjectName(QString::fromUtf8("m_cbMobiles"));
    m_cbMobiles->setGeometry(QRect(65, 0, 195, 30));
    PushButton17_2 = new QPushButton(Frame10);
    PushButton17_2->setObjectName(QString::fromUtf8("PushButton17_2"));
    PushButton17_2->setGeometry(QRect(5, 0, 30, 30));

    vboxLayout->addWidget(Frame10);

    Frame11 = new Q3Frame(m_MainFrame);
    Frame11->setObjectName(QString::fromUtf8("Frame11"));
    sizePolicy2.setHeightForWidth(Frame11->sizePolicy().hasHeightForWidth());
    Frame11->setSizePolicy(sizePolicy2);
    Frame11->setMinimumSize(QSize(0, 230));
    Frame11->setMaximumSize(QSize(32767, 225));
    Frame11->setFrameShape(Q3Frame::StyledPanel);
    Frame11->setFrameShadow(Q3Frame::Raised);
    Frame11->setLineWidth(0);
    TextLabel2_2 = new QLabel(Frame11);
    TextLabel2_2->setObjectName(QString::fromUtf8("TextLabel2_2"));
    TextLabel2_2->setGeometry(QRect(1, 1, 83, 14));
    TextLabel2_2->setFont(font2);
    TextLabel2_2->setWordWrap(false);
    Line3 = new QFrame(Frame11);
    Line3->setObjectName(QString::fromUtf8("Line3"));
    Line3->setGeometry(QRect(85, 0, 240, 16));
    Line3->setFrameShape(QFrame::HLine);
    Line3->setFrameShadow(QFrame::Sunken);
    TextLabel2_2_2 = new QLabel(Frame11);
    TextLabel2_2_2->setObjectName(QString::fromUtf8("TextLabel2_2_2"));
    TextLabel2_2_2->setGeometry(QRect(0, 215, 66, 14));
    TextLabel2_2_2->setFont(font2);
    TextLabel2_2_2->setWordWrap(false);
    Line3_2 = new QFrame(Frame11);
    Line3_2->setObjectName(QString::fromUtf8("Line3_2"));
    Line3_2->setGeometry(QRect(65, 215, 260, 16));
    Line3_2->setFrameShape(QFrame::HLine);
    Line3_2->setFrameShadow(QFrame::Sunken);
    m_btnStop = new QPushButton(Frame11);
    m_btnStop->setObjectName(QString::fromUtf8("m_btnStop"));
    m_btnStop->setGeometry(QRect(45, 27, 65, 25));
    TextLabel4_3 = new QLabel(Frame11);
    TextLabel4_3->setObjectName(QString::fromUtf8("TextLabel4_3"));
    TextLabel4_3->setGeometry(QRect(105, 65, 16, 22));
    TextLabel4_3->setWordWrap(false);
    m_leWidth = new QLineEdit(Frame11);
    m_leWidth->setObjectName(QString::fromUtf8("m_leWidth"));
    m_leWidth->setGeometry(QRect(231, 61, 50, 28));
    m_leDy = new QLineEdit(Frame11);
    m_leDy->setObjectName(QString::fromUtf8("m_leDy"));
    m_leDy->setGeometry(QRect(135, 100, 50, 28));
    m_cbIcons = new QComboBox(Frame11);
    m_cbIcons->setObjectName(QString::fromUtf8("m_cbIcons"));
    m_cbIcons->setGeometry(QRect(45, 180, 95, 25));
    TextLabel4 = new QLabel(Frame11);
    TextLabel4->setObjectName(QString::fromUtf8("TextLabel4"));
    TextLabel4->setGeometry(QRect(20, 65, 16, 22));
    TextLabel4->setWordWrap(false);
    TextLabel6_2_2 = new QLabel(Frame11);
    TextLabel6_2_2->setObjectName(QString::fromUtf8("TextLabel6_2_2"));
    TextLabel6_2_2->setGeometry(QRect(195, 105, 35, 22));
    TextLabel6_2_2->setWordWrap(false);
    m_leDx = new QLineEdit(Frame11);
    m_leDx->setObjectName(QString::fromUtf8("m_leDx"));
    m_leDx->setGeometry(QRect(135, 60, 50, 28));
    m_lblStopped = new QLabel(Frame11);
    m_lblStopped->setObjectName(QString::fromUtf8("m_lblStopped"));
    m_lblStopped->setGeometry(QRect(120, 30, 42, 23));
    m_lblStopped->setFont(font);
    m_lblStopped->setAlignment(Qt::AlignCenter);
    m_lblStopped->setWordWrap(false);
    m_fColor = new Q3Frame(Frame11);
    m_fColor->setObjectName(QString::fromUtf8("m_fColor"));
    m_fColor->setGeometry(QRect(295, 180, 25, 25));
    m_fColor->setFrameShape(Q3Frame::StyledPanel);
    m_fColor->setFrameShadow(Q3Frame::Raised);
    m_leX = new QLineEdit(Frame11);
    m_leX->setObjectName(QString::fromUtf8("m_leX"));
    m_leX->setGeometry(QRect(45, 60, 50, 28));
    TextLabel3_2 = new QLabel(Frame11);
    TextLabel3_2->setObjectName(QString::fromUtf8("TextLabel3_2"));
    TextLabel3_2->setGeometry(QRect(4, 184, 35, 14));
    TextLabel3_2->setWordWrap(false);
    m_leHeight = new QLineEdit(Frame11);
    m_leHeight->setObjectName(QString::fromUtf8("m_leHeight"));
    m_leHeight->setGeometry(QRect(230, 100, 50, 28));
    m_leY = new QLineEdit(Frame11);
    m_leY->setObjectName(QString::fromUtf8("m_leY"));
    m_leY->setGeometry(QRect(45, 100, 50, 28));
    m_cbVisible = new QCheckBox(Frame11);
    m_cbVisible->setObjectName(QString::fromUtf8("m_cbVisible"));
    m_cbVisible->setGeometry(QRect(120, 145, 80, 26));
    TextLabel6 = new QLabel(Frame11);
    TextLabel6->setObjectName(QString::fromUtf8("TextLabel6"));
    TextLabel6->setGeometry(QRect(5, 150, 35, 14));
    TextLabel6->setWordWrap(false);
    m_cbColors = new QComboBox(Frame11);
    m_cbColors->setObjectName(QString::fromUtf8("m_cbColors"));
    m_cbColors->setGeometry(QRect(201, 180, 95, 25));
    m_cbExport = new QCheckBox(Frame11);
    m_cbExport->setObjectName(QString::fromUtf8("m_cbExport"));
    m_cbExport->setGeometry(QRect(205, 145, 80, 26));
    m_leAgl = new QLineEdit(Frame11);
    m_leAgl->setObjectName(QString::fromUtf8("m_leAgl"));
    m_leAgl->setGeometry(QRect(45, 140, 50, 28));
    TextLabel4_2_2 = new QLabel(Frame11);
    TextLabel4_2_2->setObjectName(QString::fromUtf8("TextLabel4_2_2"));
    TextLabel4_2_2->setGeometry(QRect(105, 105, 16, 22));
    TextLabel4_2_2->setWordWrap(false);
    TextLabel6_2 = new QLabel(Frame11);
    TextLabel6_2->setObjectName(QString::fromUtf8("TextLabel6_2"));
    TextLabel6_2->setGeometry(QRect(195, 65, 31, 22));
    TextLabel6_2->setWordWrap(false);
    TextLabel1_2 = new QLabel(Frame11);
    TextLabel1_2->setObjectName(QString::fromUtf8("TextLabel1_2"));
    TextLabel1_2->setGeometry(QRect(150, 185, 46, 14));
    TextLabel1_2->setWordWrap(false);
    TextLabel4_2 = new QLabel(Frame11);
    TextLabel4_2->setObjectName(QString::fromUtf8("TextLabel4_2"));
    TextLabel4_2->setGeometry(QRect(20, 105, 16, 22));
    TextLabel4_2->setWordWrap(false);
    m_lblRunning = new QLabel(Frame11);
    m_lblRunning->setObjectName(QString::fromUtf8("m_lblRunning"));
    m_lblRunning->setGeometry(QRect(120, 30, 31, 23));
    m_lblRunning->setFont(font);
    m_lblRunning->setAlignment(Qt::AlignCenter);
    m_lblRunning->setWordWrap(false);

    vboxLayout->addWidget(Frame11);

    Frame14 = new Q3Frame(m_MainFrame);
    Frame14->setObjectName(QString::fromUtf8("Frame14"));
    sizePolicy2.setHeightForWidth(Frame14->sizePolicy().hasHeightForWidth());
    Frame14->setSizePolicy(sizePolicy2);
    Frame14->setMinimumSize(QSize(200, 40));
    Frame14->setMaximumSize(QSize(32767, 50));
    Frame14->setFrameShape(Q3Frame::StyledPanel);
    Frame14->setFrameShadow(Q3Frame::Raised);
    Frame14->setLineWidth(0);
    m_btnApply = new QPushButton(Frame14);
    m_btnApply->setObjectName(QString::fromUtf8("m_btnApply"));
    m_btnApply->setEnabled(false);
    m_btnApply->setGeometry(QRect(5, 10, 85, 25));
    m_btnCancel = new QPushButton(Frame14);
    m_btnCancel->setObjectName(QString::fromUtf8("m_btnCancel"));
    m_btnCancel->setEnabled(false);
    m_btnCancel->setGeometry(QRect(90, 10, 85, 25));
    m_lblError = new QLabel(Frame14);
    m_lblError->setObjectName(QString::fromUtf8("m_lblError"));
    m_lblError->setGeometry(QRect(220, 15, 100, 20));
    QFont font3;
    font3.setPointSize(16);
    font3.setBold(true);
    m_lblError->setFont(font3);
    m_lblError->setWordWrap(false);

    vboxLayout->addWidget(Frame14);

    Frame13 = new Q3Frame(m_MainFrame);
    Frame13->setObjectName(QString::fromUtf8("Frame13"));
    Frame13->setFrameShape(Q3Frame::StyledPanel);
    Frame13->setFrameShadow(Q3Frame::Raised);
    Frame13->setLineWidth(0);
    gridLayout = new QGridLayout(Frame13);
    gridLayout->setSpacing(2);
    gridLayout->setMargin(2);
    gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
    TextLabel2 = new QLabel(Frame13);
    TextLabel2->setObjectName(QString::fromUtf8("TextLabel2"));
    TextLabel2->setWordWrap(false);

    gridLayout->addWidget(TextLabel2, 0, 0, 1, 1);

    m_cbMvtPresets = new QComboBox(Frame13);
    m_cbMvtPresets->setObjectName(QString::fromUtf8("m_cbMvtPresets"));

    gridLayout->addWidget(m_cbMvtPresets, 0, 1, 1, 1);

    m_teExprs = new Q3TextEdit(Frame13);
    m_teExprs->setObjectName(QString::fromUtf8("m_teExprs"));
    QFont font4;
    font4.setPointSize(14);
    m_teExprs->setFont(font4);

    gridLayout->addWidget(m_teExprs, 1, 0, 1, 2);


    vboxLayout->addWidget(Frame13);


    hboxLayout->addWidget(m_MainFrame);

    Frame19 = new Q3Frame(widget);
    Frame19->setObjectName(QString::fromUtf8("Frame19"));
    Frame19->setFrameShape(Q3Frame::StyledPanel);
    Frame19->setFrameShadow(Q3Frame::Raised);
    vboxLayout1 = new QVBoxLayout(Frame19);
    vboxLayout1->setSpacing(0);
    vboxLayout1->setMargin(0);
    vboxLayout1->setObjectName(QString::fromUtf8("vboxLayout1"));
    m_ViewPort = new CViewer(Frame19);
    m_ViewPort->setObjectName(QString::fromUtf8("m_ViewPort"));
    QSizePolicy sizePolicy3(static_cast<QSizePolicy::Policy>(7), static_cast<QSizePolicy::Policy>(7));
    sizePolicy3.setHorizontalStretch(0);
    sizePolicy3.setVerticalStretch(0);
    sizePolicy3.setHeightForWidth(m_ViewPort->sizePolicy().hasHeightForWidth());
    m_ViewPort->setSizePolicy(sizePolicy3);

    vboxLayout1->addWidget(m_ViewPort);

    Frame9 = new Q3Frame(Frame19);
    Frame9->setObjectName(QString::fromUtf8("Frame9"));
    QSizePolicy sizePolicy4(static_cast<QSizePolicy::Policy>(7), static_cast<QSizePolicy::Policy>(4));
    sizePolicy4.setHorizontalStretch(0);
    sizePolicy4.setVerticalStretch(0);
    sizePolicy4.setHeightForWidth(Frame9->sizePolicy().hasHeightForWidth());
    Frame9->setSizePolicy(sizePolicy4);
    Frame9->setMinimumSize(QSize(0, 200));
    Frame9->setMaximumSize(QSize(32767, 200));
    Frame9->setFrameShape(Q3Frame::StyledPanel);
    Frame9->setFrameShadow(Q3Frame::Raised);
    hboxLayout1 = new QHBoxLayout(Frame9);
    hboxLayout1->setSpacing(0);
    hboxLayout1->setMargin(0);
    hboxLayout1->setObjectName(QString::fromUtf8("hboxLayout1"));
    Frame18 = new Q3Frame(Frame9);
    Frame18->setObjectName(QString::fromUtf8("Frame18"));
    QSizePolicy sizePolicy5(static_cast<QSizePolicy::Policy>(7), static_cast<QSizePolicy::Policy>(1));
    sizePolicy5.setHorizontalStretch(0);
    sizePolicy5.setVerticalStretch(0);
    sizePolicy5.setHeightForWidth(Frame18->sizePolicy().hasHeightForWidth());
    Frame18->setSizePolicy(sizePolicy5);
    Frame18->setMaximumSize(QSize(32767, 32767));
    Frame18->setFrameShape(Q3Frame::StyledPanel);
    Frame18->setFrameShadow(Q3Frame::Raised);
    Frame18->setLineWidth(0);
    gridLayout1 = new QGridLayout(Frame18);
    gridLayout1->setSpacing(2);
    gridLayout1->setMargin(2);
    gridLayout1->setObjectName(QString::fromUtf8("gridLayout1"));
    m_cbBordLPresets = new QComboBox(Frame18);
    m_cbBordLPresets->setObjectName(QString::fromUtf8("m_cbBordLPresets"));
    sizePolicy2.setHeightForWidth(m_cbBordLPresets->sizePolicy().hasHeightForWidth());
    m_cbBordLPresets->setSizePolicy(sizePolicy2);

    gridLayout1->addWidget(m_cbBordLPresets, 0, 1, 1, 1);

    TextLabel5 = new QLabel(Frame18);
    TextLabel5->setObjectName(QString::fromUtf8("TextLabel5"));
    TextLabel5->setWordWrap(false);

    gridLayout1->addWidget(TextLabel5, 0, 0, 1, 1);

    m_cbBordRPresets = new QComboBox(Frame18);
    m_cbBordRPresets->setObjectName(QString::fromUtf8("m_cbBordRPresets"));
    sizePolicy2.setHeightForWidth(m_cbBordRPresets->sizePolicy().hasHeightForWidth());
    m_cbBordRPresets->setSizePolicy(sizePolicy2);

    gridLayout1->addWidget(m_cbBordRPresets, 2, 1, 1, 1);

    TextLabel5_2 = new QLabel(Frame18);
    TextLabel5_2->setObjectName(QString::fromUtf8("TextLabel5_2"));
    TextLabel5_2->setWordWrap(false);

    gridLayout1->addWidget(TextLabel5_2, 2, 0, 1, 1);

    m_teExprsBR = new Q3TextEdit(Frame18);
    m_teExprsBR->setObjectName(QString::fromUtf8("m_teExprsBR"));
    QSizePolicy sizePolicy6(static_cast<QSizePolicy::Policy>(7), static_cast<QSizePolicy::Policy>(3));
    sizePolicy6.setHorizontalStretch(0);
    sizePolicy6.setVerticalStretch(0);
    sizePolicy6.setHeightForWidth(m_teExprsBR->sizePolicy().hasHeightForWidth());
    m_teExprsBR->setSizePolicy(sizePolicy6);
    m_teExprsBR->setFont(font4);
    m_teExprsBR->setMinimumSize(QSize(0, 50));

    gridLayout1->addWidget(m_teExprsBR, 3, 0, 1, 2);

    m_teExprsBL = new Q3TextEdit(Frame18);
    m_teExprsBL->setObjectName(QString::fromUtf8("m_teExprsBL"));
    sizePolicy6.setHeightForWidth(m_teExprsBL->sizePolicy().hasHeightForWidth());
    m_teExprsBL->setSizePolicy(sizePolicy6);
    m_teExprsBL->setFont(font4);
    m_teExprsBL->setMinimumSize(QSize(0, 50));

    gridLayout1->addWidget(m_teExprsBL, 1, 0, 1, 2);


    hboxLayout1->addWidget(Frame18);

    Frame17 = new Q3Frame(Frame9);
    Frame17->setObjectName(QString::fromUtf8("Frame17"));
    sizePolicy5.setHeightForWidth(Frame17->sizePolicy().hasHeightForWidth());
    Frame17->setSizePolicy(sizePolicy5);
    Frame17->setMaximumSize(QSize(32767, 32767));
    Frame17->setFrameShape(Q3Frame::StyledPanel);
    Frame17->setFrameShadow(Q3Frame::Raised);
    Frame17->setLineWidth(0);
    gridLayout2 = new QGridLayout(Frame17);
    gridLayout2->setSpacing(2);
    gridLayout2->setMargin(2);
    gridLayout2->setObjectName(QString::fromUtf8("gridLayout2"));
    m_cbBordTPresets = new QComboBox(Frame17);
    m_cbBordTPresets->setObjectName(QString::fromUtf8("m_cbBordTPresets"));
    sizePolicy2.setHeightForWidth(m_cbBordTPresets->sizePolicy().hasHeightForWidth());
    m_cbBordTPresets->setSizePolicy(sizePolicy2);

    gridLayout2->addWidget(m_cbBordTPresets, 0, 1, 1, 1);

    m_teExprsBT = new Q3TextEdit(Frame17);
    m_teExprsBT->setObjectName(QString::fromUtf8("m_teExprsBT"));
    sizePolicy6.setHeightForWidth(m_teExprsBT->sizePolicy().hasHeightForWidth());
    m_teExprsBT->setSizePolicy(sizePolicy6);
    m_teExprsBT->setFont(font4);
    m_teExprsBT->setMinimumSize(QSize(0, 50));

    gridLayout2->addWidget(m_teExprsBT, 1, 0, 1, 2);

    m_cbBordBPresets = new QComboBox(Frame17);
    m_cbBordBPresets->setObjectName(QString::fromUtf8("m_cbBordBPresets"));
    sizePolicy2.setHeightForWidth(m_cbBordBPresets->sizePolicy().hasHeightForWidth());
    m_cbBordBPresets->setSizePolicy(sizePolicy2);

    gridLayout2->addWidget(m_cbBordBPresets, 2, 1, 1, 1);

    m_teExprsBB = new Q3TextEdit(Frame17);
    m_teExprsBB->setObjectName(QString::fromUtf8("m_teExprsBB"));
    sizePolicy6.setHeightForWidth(m_teExprsBB->sizePolicy().hasHeightForWidth());
    m_teExprsBB->setSizePolicy(sizePolicy6);
    m_teExprsBB->setFont(font4);
    m_teExprsBB->setMinimumSize(QSize(0, 50));

    gridLayout2->addWidget(m_teExprsBB, 3, 0, 1, 2);

    TextLabel5_4 = new QLabel(Frame17);
    TextLabel5_4->setObjectName(QString::fromUtf8("TextLabel5_4"));
    TextLabel5_4->setWordWrap(false);

    gridLayout2->addWidget(TextLabel5_4, 2, 0, 1, 1);

    TextLabel5_3 = new QLabel(Frame17);
    TextLabel5_3->setObjectName(QString::fromUtf8("TextLabel5_3"));
    TextLabel5_3->setWordWrap(false);

    gridLayout2->addWidget(TextLabel5_3, 0, 0, 1, 1);


    hboxLayout1->addWidget(Frame17);

    Frame15 = new Q3Frame(Frame9);
    Frame15->setObjectName(QString::fromUtf8("Frame15"));
    sizePolicy5.setHeightForWidth(Frame15->sizePolicy().hasHeightForWidth());
    Frame15->setSizePolicy(sizePolicy5);
    Frame15->setFrameShape(Q3Frame::StyledPanel);
    Frame15->setFrameShadow(Q3Frame::Raised);
    Frame15->setLineWidth(0);
    gridLayout3 = new QGridLayout(Frame15);
    gridLayout3->setSpacing(2);
    gridLayout3->setMargin(2);
    gridLayout3->setObjectName(QString::fromUtf8("gridLayout3"));
    m_cbCollidePresets = new QComboBox(Frame15);
    m_cbCollidePresets->setObjectName(QString::fromUtf8("m_cbCollidePresets"));
    sizePolicy2.setHeightForWidth(m_cbCollidePresets->sizePolicy().hasHeightForWidth());
    m_cbCollidePresets->setSizePolicy(sizePolicy2);

    gridLayout3->addWidget(m_cbCollidePresets, 0, 1, 1, 1);

    m_teExprsCollide = new Q3TextEdit(Frame15);
    m_teExprsCollide->setObjectName(QString::fromUtf8("m_teExprsCollide"));
    sizePolicy6.setHeightForWidth(m_teExprsCollide->sizePolicy().hasHeightForWidth());
    m_teExprsCollide->setSizePolicy(sizePolicy6);
    m_teExprsCollide->setFont(font4);
    m_teExprsCollide->setMinimumSize(QSize(0, 50));

    gridLayout3->addWidget(m_teExprsCollide, 1, 0, 1, 2);

    TextLabel3 = new QLabel(Frame15);
    TextLabel3->setObjectName(QString::fromUtf8("TextLabel3"));
    TextLabel3->setWordWrap(false);

    gridLayout3->addWidget(TextLabel3, 0, 0, 1, 1);


    hboxLayout1->addWidget(Frame15);

    Frame16 = new Q3Frame(Frame9);
    Frame16->setObjectName(QString::fromUtf8("Frame16"));
    sizePolicy5.setHeightForWidth(Frame16->sizePolicy().hasHeightForWidth());
    Frame16->setSizePolicy(sizePolicy5);
    Frame16->setMaximumSize(QSize(32767, 32767));
    Frame16->setFrameShape(Q3Frame::StyledPanel);
    Frame16->setFrameShadow(Q3Frame::Raised);
    Frame16->setLineWidth(0);
    gridLayout4 = new QGridLayout(Frame16);
    gridLayout4->setSpacing(2);
    gridLayout4->setMargin(2);
    gridLayout4->setObjectName(QString::fromUtf8("gridLayout4"));
    TextLabel5_4_2 = new QLabel(Frame16);
    TextLabel5_4_2->setObjectName(QString::fromUtf8("TextLabel5_4_2"));
    TextLabel5_4_2->setMinimumSize(QSize(0, 0));
    TextLabel5_4_2->setWordWrap(false);

    gridLayout4->addWidget(TextLabel5_4_2, 0, 0, 1, 1);

    m_cbStartPresets = new QComboBox(Frame16);
    m_cbStartPresets->setObjectName(QString::fromUtf8("m_cbStartPresets"));
    sizePolicy2.setHeightForWidth(m_cbStartPresets->sizePolicy().hasHeightForWidth());
    m_cbStartPresets->setSizePolicy(sizePolicy2);

    gridLayout4->addWidget(m_cbStartPresets, 0, 1, 1, 1);

    m_teExprsStart = new Q3TextEdit(Frame16);
    m_teExprsStart->setObjectName(QString::fromUtf8("m_teExprsStart"));
    sizePolicy6.setHeightForWidth(m_teExprsStart->sizePolicy().hasHeightForWidth());
    m_teExprsStart->setSizePolicy(sizePolicy6);
    m_teExprsStart->setFont(font4);
    m_teExprsStart->setMinimumSize(QSize(0, 50));

    gridLayout4->addWidget(m_teExprsStart, 1, 0, 1, 2);


    hboxLayout1->addWidget(Frame16);


    vboxLayout1->addWidget(Frame9);


    hboxLayout->addWidget(Frame19);

    main_interface->setCentralWidget(widget);
    QWidget::setTabOrder(m_ViewPort, PushButton3);
    QWidget::setTabOrder(PushButton3, PushButton24);
    QWidget::setTabOrder(PushButton24, PushButton3_2);
    QWidget::setTabOrder(PushButton3_2, PushButton17_2);
    QWidget::setTabOrder(PushButton17_2, PushButton17);
    QWidget::setTabOrder(PushButton17, m_cbMobiles);
    QWidget::setTabOrder(m_cbMobiles, PushButton25_4);
    QWidget::setTabOrder(PushButton25_4, m_btnStop);
    QWidget::setTabOrder(m_btnStop, m_leX);
    QWidget::setTabOrder(m_leX, m_leDx);
    QWidget::setTabOrder(m_leDx, m_leWidth);
    QWidget::setTabOrder(m_leWidth, m_leY);
    QWidget::setTabOrder(m_leY, m_leDy);
    QWidget::setTabOrder(m_leDy, m_leHeight);
    QWidget::setTabOrder(m_leHeight, m_leAgl);
    QWidget::setTabOrder(m_leAgl, m_cbVisible);
    QWidget::setTabOrder(m_cbVisible, m_cbExport);
    QWidget::setTabOrder(m_cbExport, m_cbIcons);
    QWidget::setTabOrder(m_cbIcons, m_cbColors);
    QWidget::setTabOrder(m_cbColors, m_btnApply);
    QWidget::setTabOrder(m_btnApply, m_btnCancel);
    QWidget::setTabOrder(m_btnCancel, m_cbMvtPresets);
    QWidget::setTabOrder(m_cbMvtPresets, m_teExprs);
    QWidget::setTabOrder(m_teExprs, m_cbBordLPresets);
    QWidget::setTabOrder(m_cbBordLPresets, m_teExprsBL);
    QWidget::setTabOrder(m_teExprsBL, m_cbBordRPresets);
    QWidget::setTabOrder(m_cbBordRPresets, m_teExprsBR);
    QWidget::setTabOrder(m_teExprsBR, m_cbBordTPresets);
    QWidget::setTabOrder(m_cbBordTPresets, m_teExprsBT);
    QWidget::setTabOrder(m_teExprsBT, m_cbBordBPresets);
    QWidget::setTabOrder(m_cbBordBPresets, m_teExprsBB);
    QWidget::setTabOrder(m_teExprsBB, m_cbCollidePresets);
    QWidget::setTabOrder(m_cbCollidePresets, m_teExprsCollide);
    QWidget::setTabOrder(m_teExprsCollide, m_cbStartPresets);
    QWidget::setTabOrder(m_cbStartPresets, m_teExprsStart);
    QWidget::setTabOrder(m_teExprsStart, m_cbNames);
    QWidget::setTabOrder(m_cbNames, m_btnSaveSession);
    QWidget::setTabOrder(m_btnSaveSession, PushButton25_2_2);
    QWidget::setTabOrder(PushButton25_2_2, PushButton16);
    QWidget::setTabOrder(PushButton16, PushButton12);
    QWidget::setTabOrder(PushButton12, PushButton12_2);
    QWidget::setTabOrder(PushButton12_2, PushButton13);
    QWidget::setTabOrder(PushButton13, PushButton13_2);
    QWidget::setTabOrder(PushButton13_2, m_btnSaveMobile);
    QWidget::setTabOrder(m_btnSaveMobile, PushButton25_2);

    retranslateUi(main_interface);
    QObject::connect(m_cbBordRPresets, SIGNAL(activated(int)), main_interface, SLOT(loadBordRPreset(int)));
    QObject::connect(m_cbBordTPresets, SIGNAL(activated(int)), main_interface, SLOT(loadBordTPreset(int)));
    QObject::connect(m_cbBordBPresets, SIGNAL(activated(int)), main_interface, SLOT(loadBordBPreset(int)));
    QObject::connect(m_cbBordLPresets, SIGNAL(activated(int)), main_interface, SLOT(loadBordLPreset(int)));
    QObject::connect(PushButton17_2, SIGNAL(released()), main_interface, SLOT(selectPrev()));
    QObject::connect(PushButton17, SIGNAL(released()), main_interface, SLOT(selectNext()));
    QObject::connect(m_cbMobiles, SIGNAL(activated(int)), main_interface, SLOT(activateMobile(int)));
    QObject::connect(PushButton25_4, SIGNAL(released()), main_interface, SLOT(resetSelected()));
    QObject::connect(m_btnStop, SIGNAL(released()), main_interface, SLOT(startStopSelected()));
    QObject::connect(m_leX, SIGNAL(returnPressed()), main_interface, SLOT(setValues()));
    QObject::connect(m_leDx, SIGNAL(returnPressed()), main_interface, SLOT(setValues()));
    QObject::connect(m_leWidth, SIGNAL(returnPressed()), main_interface, SLOT(setValues()));
    QObject::connect(m_leY, SIGNAL(returnPressed()), main_interface, SLOT(setValues()));
    QObject::connect(m_leDy, SIGNAL(returnPressed()), main_interface, SLOT(setValues()));
    QObject::connect(m_leHeight, SIGNAL(returnPressed()), main_interface, SLOT(setValues()));
    QObject::connect(m_leAgl, SIGNAL(returnPressed()), main_interface, SLOT(setValues()));
    QObject::connect(m_cbVisible, SIGNAL(released()), main_interface, SLOT(visibleChanged()));
    QObject::connect(m_cbExport, SIGNAL(released()), main_interface, SLOT(exportChanged()));
    QObject::connect(m_cbIcons, SIGNAL(activated(int)), main_interface, SLOT(iconChange(int)));
    QObject::connect(m_btnCancel, SIGNAL(released()), main_interface, SLOT(cancelExprs()));
    QObject::connect(m_btnApply, SIGNAL(released()), main_interface, SLOT(applyAll()));
    QObject::connect(m_cbMvtPresets, SIGNAL(activated(int)), main_interface, SLOT(loadMvtPreset(int)));
    QObject::connect(m_cbStartPresets, SIGNAL(activated(int)), main_interface, SLOT(loadStartPreset(int)));
    QObject::connect(m_cbCollidePresets, SIGNAL(activated(int)), main_interface, SLOT(loadCollidePreset(int)));
    QObject::connect(PushButton3, SIGNAL(released()), main_interface, SLOT(addMobile()));
    QObject::connect(PushButton24, SIGNAL(released()), main_interface, SLOT(supprSelected()));
    QObject::connect(PushButton3_2, SIGNAL(released()), main_interface, SLOT(cloneSelected()));
    QObject::connect(m_btnSaveMobile, SIGNAL(released()), main_interface, SLOT(saveSelected()));
    QObject::connect(PushButton25_2, SIGNAL(released()), main_interface, SLOT(load()));
    QObject::connect(PushButton13, SIGNAL(released()), main_interface, SLOT(exportAll()));
    QObject::connect(PushButton13_2, SIGNAL(released()), main_interface, SLOT(exportNone()));
    QObject::connect(PushButton12, SIGNAL(released()), main_interface, SLOT(viewAll()));
    QObject::connect(PushButton12_2, SIGNAL(released()), main_interface, SLOT(viewNone()));
    QObject::connect(PushButton25_2_2, SIGNAL(released()), main_interface, SLOT(loadSession()));
    QObject::connect(m_btnSaveSession, SIGNAL(released()), main_interface, SLOT(saveSession()));
    QObject::connect(PushButton16, SIGNAL(released()), main_interface, SLOT(resetSession()));
    QObject::connect(m_cbColors, SIGNAL(activated(int)), main_interface, SLOT(changeColor(int)));
    QObject::connect(m_teExprs, SIGNAL(textChanged()), main_interface, SLOT(exprsChanged()));
    QObject::connect(m_teExprsBL, SIGNAL(textChanged()), main_interface, SLOT(exprsChanged()));
    QObject::connect(m_teExprsBR, SIGNAL(textChanged()), main_interface, SLOT(exprsChanged()));
    QObject::connect(m_teExprsBT, SIGNAL(textChanged()), main_interface, SLOT(exprsChanged()));
    QObject::connect(m_teExprsBB, SIGNAL(textChanged()), main_interface, SLOT(exprsChanged()));
    QObject::connect(m_teExprsCollide, SIGNAL(textChanged()), main_interface, SLOT(exprsChanged()));
    QObject::connect(m_teExprsStart, SIGNAL(textChanged()), main_interface, SLOT(exprsChanged()));

    QMetaObject::connectSlotsByName(main_interface);
    } // setupUi

    void retranslateUi(Q3MainWindow *main_interface)
    {
    main_interface->setWindowTitle(QApplication::translate("main_interface", "Mobile", 0, QApplication::UnicodeUTF8));
    TextLabel1_4->setText(QApplication::translate("main_interface", "Session", 0, QApplication::UnicodeUTF8));
    m_LblClientNumber->setText(QApplication::translate("main_interface", "0", 0, QApplication::UnicodeUTF8));
    TextLabel1->setText(QApplication::translate("main_interface", "Poste", 0, QApplication::UnicodeUTF8));
    PushButton25_2_2->setText(QApplication::translate("main_interface", "Load", 0, QApplication::UnicodeUTF8));
    PushButton16->setText(QApplication::translate("main_interface", "reset", 0, QApplication::UnicodeUTF8));
    m_cbNames->setText(QApplication::translate("main_interface", "Afficher les noms", 0, QApplication::UnicodeUTF8));
    m_btnSaveSession->setText(QApplication::translate("main_interface", "Save", 0, QApplication::UnicodeUTF8));
    PushButton12->setText(QApplication::translate("main_interface", "tout", 0, QApplication::UnicodeUTF8));
    PushButton12_2->setText(QApplication::translate("main_interface", "rien", 0, QApplication::UnicodeUTF8));
    TextLabel1_3_2->setText(QApplication::translate("main_interface", "Visualiser", 0, QApplication::UnicodeUTF8));
    PushButton13->setText(QApplication::translate("main_interface", "tout", 0, QApplication::UnicodeUTF8));
    PushButton13_2->setText(QApplication::translate("main_interface", "rien", 0, QApplication::UnicodeUTF8));
    TextLabel1_3->setText(QApplication::translate("main_interface", "Exporter", 0, QApplication::UnicodeUTF8));
    m_lblExport->setText(QApplication::translate("main_interface", "aucun", 0, QApplication::UnicodeUTF8));
    TextLabel1_5->setText(QApplication::translate("main_interface", "Mobile courant", 0, QApplication::UnicodeUTF8));
    PushButton24->setText(QApplication::translate("main_interface", "Supprimer", 0, QApplication::UnicodeUTF8));
    PushButton3_2->setText(QApplication::translate("main_interface", "Dupliquer", 0, QApplication::UnicodeUTF8));
    m_btnSaveMobile->setText(QApplication::translate("main_interface", "Save", 0, QApplication::UnicodeUTF8));
    PushButton25_2->setText(QApplication::translate("main_interface", "Load", 0, QApplication::UnicodeUTF8));
    PushButton3->setText(QApplication::translate("main_interface", "Ajouter", 0, QApplication::UnicodeUTF8));
    PushButton17->setText(QApplication::translate("main_interface", ">>", 0, QApplication::UnicodeUTF8));
    PushButton25_4->setText(QApplication::translate("main_interface", "Reset !", 0, QApplication::UnicodeUTF8));
    PushButton17_2->setText(QApplication::translate("main_interface", "<<", 0, QApplication::UnicodeUTF8));
    TextLabel2_2->setText(QApplication::translate("main_interface", "Etat du mobile", 0, QApplication::UnicodeUTF8));
    TextLabel2_2_2->setText(QApplication::translate("main_interface", "Programme", 0, QApplication::UnicodeUTF8));
    m_btnStop->setText(QApplication::translate("main_interface", "Stop !", 0, QApplication::UnicodeUTF8));
    TextLabel4_3->setText(QApplication::translate("main_interface", "dx", 0, QApplication::UnicodeUTF8));
    TextLabel4->setText(QApplication::translate("main_interface", "x", 0, QApplication::UnicodeUTF8));
    TextLabel6_2_2->setText(QApplication::translate("main_interface", "haut.", 0, QApplication::UnicodeUTF8));
    m_lblStopped->setText(QApplication::translate("main_interface", "Inactif", 0, QApplication::UnicodeUTF8));
    TextLabel3_2->setText(QApplication::translate("main_interface", "icone", 0, QApplication::UnicodeUTF8));
    m_cbVisible->setText(QApplication::translate("main_interface", "Visible", 0, QApplication::UnicodeUTF8));
    TextLabel6->setText(QApplication::translate("main_interface", "angle", 0, QApplication::UnicodeUTF8));
    m_cbExport->setText(QApplication::translate("main_interface", "Exporte", 0, QApplication::UnicodeUTF8));
    TextLabel4_2_2->setText(QApplication::translate("main_interface", "dy", 0, QApplication::UnicodeUTF8));
    TextLabel6_2->setText(QApplication::translate("main_interface", "larg.", 0, QApplication::UnicodeUTF8));
    TextLabel1_2->setText(QApplication::translate("main_interface", "couleur", 0, QApplication::UnicodeUTF8));
    TextLabel4_2->setText(QApplication::translate("main_interface", "y", 0, QApplication::UnicodeUTF8));
    m_lblRunning->setText(QApplication::translate("main_interface", "Actif", 0, QApplication::UnicodeUTF8));
    m_btnApply->setText(QApplication::translate("main_interface", "Appliquer", 0, QApplication::UnicodeUTF8));
    m_btnCancel->setText(QApplication::translate("main_interface", "Annuler", 0, QApplication::UnicodeUTF8));
    m_lblError->setText(QApplication::translate("main_interface", "Invalide!", 0, QApplication::UnicodeUTF8));
    TextLabel2->setText(QApplication::translate("main_interface", "Mouvement", 0, QApplication::UnicodeUTF8));
    m_teExprs->setText(QString());
    TextLabel5->setText(QApplication::translate("main_interface", "Bord gauche", 0, QApplication::UnicodeUTF8));
    TextLabel5_2->setText(QApplication::translate("main_interface", "Bord droit", 0, QApplication::UnicodeUTF8));
    TextLabel5_4->setText(QApplication::translate("main_interface", "Bord bas", 0, QApplication::UnicodeUTF8));
    TextLabel5_3->setText(QApplication::translate("main_interface", "Bord haut", 0, QApplication::UnicodeUTF8));
    TextLabel3->setText(QApplication::translate("main_interface", "Collision", 0, QApplication::UnicodeUTF8));
    TextLabel5_4_2->setText(QApplication::translate("main_interface", "Start", 0, QApplication::UnicodeUTF8));
    Q_UNUSED(main_interface);
    } // retranslateUi


protected:
    enum IconID
    {
        image0_ID,
        unknown_ID
    };
    static QPixmap qt_get_icon(IconID id)
    {
    static const char* const image0_data[] = { 
"22 22 2 1",
". c None",
"# c #a1c410",
"........######........",
".....###########......",
"....##############....",
"...################...",
"..######......######..",
"..#####........#####..",
".#####.......#..#####.",
".####.......###..####.",
"####.......#####..####",
"####......#####...####",
"####....#######...####",
"####....######....####",
"####...########...####",
".####.##########..####",
".####..####.#########.",
".#####..##...########.",
"..#####.......#######.",
"..######......######..",
"...###################",
"....##################",
"......###########.###.",
"........######.....#.."};


    switch (id) {
        case image0_ID: return QPixmap((const char**)image0_data);
        default: return QPixmap();
    } // switch
    } // icon

};

namespace Ui {
    class main_interface: public Ui_main_interface {};
} // namespace Ui

QT_END_NAMESPACE

class main_interface : public Q3MainWindow, public Ui::main_interface
{
    Q_OBJECT

public:
    main_interface(QWidget* parent = 0, const char* name = 0, Qt::WindowFlags fl = Qt::WType_TopLevel);
    ~main_interface();

public slots:
    virtual void activateMobile( int );
    virtual void addMobile();
    virtual void applyExprs();
    virtual void cancelExprs();
    virtual void changeColor( int );
    virtual void cloneSelected();
    virtual void exportAll();
    virtual void exportChanged();
    virtual void exportNone();
    virtual void exprsChanged();
    virtual void iconChange( int );
    virtual void load();
    virtual void loadBordBPreset( int );
    virtual void loadBordLPreset( int );
    virtual void loadBordRPreset( int );
    virtual void loadBordTPreset( int );
    virtual void loadCollidePreset( int );
    virtual void loadMvtPreset( int );
    virtual void loadSession();
    virtual void loadStartPreset( int );
    virtual void selectPrev();
    virtual void resetSelected();
    virtual void resetSession();
    virtual void saveSelected();
    virtual void saveSession();
    virtual void selectNext();
    virtual void setValues();
    virtual void startStopSelected();
    virtual void supprSelected();
    virtual void viewAll();
    virtual void viewNone();
    virtual void visibleChanged();
    virtual void applyAll();

protected slots:
    virtual void languageChange();

};

#endif // MAIN_INTERFACE_H
