// -------------------------------------------------------------------------
#ifndef PERSIST_STRING
#define PERSIST_STRING
// -------------------------------------------------------------------------
#include <string>
#include <cstring>
#include <iostream>
// -------------------------------------------------------------------------
class persist_string
{
protected:
	string m_Str;
public:

  persist_string() {}
  persist_string(const string& s) : m_Str(s) {}

  friend ostream& operator<<(ostream& s,const persist_string& str);
  friend istream& operator>>(istream& s,persist_string& str);

  string& str() {return (m_Str);}
  const string& str() const {return (m_Str);}
};
// -------------------------------------------------------------------------
inline ostream& operator<<(ostream& s,const persist_string& str)
{
  for (unsigned int i=0;i<str.str().length();i++)
  {
    if (str.str()[i] == '<')
      s << '~';
    else if (str.str()[i] == '>')
      s << '$';
	else
      s << str.str()[i];
  }
  return (s);
}
// -------------------------------------------------------------------------
inline istream& operator>>(istream& s,persist_string& str)
{
  char c;

  while ((c=s.get()) != EOF)
    str.str()=str.str()+c;

  for (unsigned int i=0;i<str.str().length();i++)
  {
    if (str.str()[i] == '$')
      str.str()[i]='>';
    else if (str.str()[i] == '~')
      str.str()[i]='<';
	else if (str.str()[i] == '' || str.str()[i] == '' ){
		str.str().erase(i,1);
		if(i<str.str().length()){
			if(str.str()[i] == '')
				str.str()[i]='';
			else if(str.str()[i] == '')
				str.str()[i]='';
			else if(str.str()[i] == '')
				str.str()[i]='';
			else if(str.str()[i] == '')
				str.str()[i]='';
			else if(str.str()[i] == '')
				str.str()[i]='';
			else 
				str.str()[i]='';
		}
		else 
			str.str()[i]='';
	}

  }
  return (s);
}
// -------------------------------------------------------------------------
#endif
// -------------------------------------------------------------------------
