#include "IPersistData.h"
#include <qslider.h>

class CPersistSliderCaps : public IPersistData
{
private:
  QSlider *m_Slider;
public:
  CPersistSliderCaps(QSlider *slider) : IPersistData()
    {
      m_Slider=slider;
    }

  void load(istream& s)
    {
      int v,vmin,vmax;

      s >> v >> vmin >> vmax;
      m_Slider->setMinValue(vmin);
      m_Slider->setMaxValue(vmax);
      m_Slider->setValue(v);
    }

  void save(ostream& s)
    {
      s << m_Slider->value() << ' ' 
	<< m_Slider->minValue() << ' '
	<< m_Slider->maxValue();
    }

  void failed()
    {

    }
};
